package com.ssj.service.weixin.library.service;

import com.ssj.bean.weixin.libmy.domain.TbLibBorrowHis;
import com.ssj.framework.core.common.service.BaseService;
import com.ssj.service.weixin.library.dto.out.ReadMonthOutDto;
import com.ssj.service.weixin.library.dto.out.ReadYearOutDto;
import com.ssj.service.weixin.library.dto.out.ThemeOutDto;
import com.ssj.service.weixin.library.dto.out.YearRankTotalOutDto;

import java.util.List;
import java.util.Map;

public interface ILibBorrowHisService extends BaseService<TbLibBorrowHis,String> {
    List<YearRankTotalOutDto> findrankTotalDto(Map<String, String> params);

    List<ThemeOutDto> findThemeInfoList(Map<String, String> params);

    List<ReadMonthOutDto> findReadMonthList(Map<String, String> params);

    List<ReadYearOutDto> findReadYearList(Map<String, String> params);

    void pushReadNoticeToUser();

    void pushReadMonthToUser();

    void pushReadYearToUser();
}
